%define oname   kgio

Name:       ruby-%{oname}
Version:    2.7.4
Release:    %mkrel 4
Summary:    Kinder, gentler I/O for Ruby
License:    Ruby or GPLv2
Group:      Development/Ruby
URL:        http://bogomips.org/kgio/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: ruby-devel
BuildRequires: rubygems

%description
kgio provides non-blocking I/O methods for Ruby without raising
exceptions on EAGAIN and EINPROGRESS.  It is intended for use with the
Unicorn and Rainbows! Rack servers, but may be used by other
applications.

%files
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_sitearchdir}/*

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc LICENSE README TODO NEWS LATEST ChangeLog ISSUES HACKING
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install

rm -rf %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/{LICENSE,README,TODO,NEWS,LATEST,ChangeLog,ISSUES,HACKING,ext/}


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 2.7.4-4.mga3
+ Revision: 396120
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 2.7.4-3.mga3
+ Revision: 381085
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 2.7.4-2.mga3
+ Revision: 313102
- doc is a noarch package

* Sat Nov 03 2012 fwang <fwang> 2.7.4-1.mga3
+ Revision: 313096
- new version 2.7.4

* Wed Apr 06 2011 shikamaru <shikamaru> 2.3.3-1.mga1
+ Revision: 81540
- disable test for now due to weird error on the BS
- imported package ruby-kgio

